import {
	request
} from '../libs/request.js'

/**
 * 获取分页
 * @param data
 * @returns {AxiosPromise}
 */
export function getAlertByPage(data) {
  return request({
    url: '/alert/page',
    method: 'GET',
    data
  })
}

/**
 * 获取列表
 * @param data
 * @returns {AxiosPromise}
 */
export function getAlertByList(data) {
  return request({
    url: '/alert',
    method: 'GET',
    data
  })
}

/**
 * 根据Id获取
 * @param data
 * @returns {AxiosPromise}
 */
export function getAlertById(id) {
  return request({
    url: `/alert/${id}`,
    method: 'GET'
  })
}

/**
 * 开始
 * @param data
 * @returns {AxiosPromise}
 */
export function startAlert(data) {
  return request({
    url: `/alert/start`,
    method: 'post',
    data
  })
}

/**
 * 处理
 * @param data
 * @returns {AxiosPromise}
 */
export function handleAlert(data) {
  return request({
    url: `/alert/handle`,
    method: 'POST',
    data
  })
}

/**
 * 删除
 * @param data
 * @returns {AxiosPromise}
 */
export function deleteAlertById(id) {
  return request({
    url: `/alert/${id}`,
    method: 'DELETE'
  })
}

/**
 * 查询统计结果
 * @param data
 * @returns {AxiosPromise}
 */
export function getAlertCounter() {
  return request({
    url: '/alert/statis/getCounter',
    method: 'GET'
  })
}
